org.springframework.test.web.client

## Interface RequestMatcher

    public interface RequestMatcher

A contract for matching requests to expectations.

Since:
  3.2
Author:
  Craig Walls

### Method Summary

Methods
`void` `match(ClientHttpRequest request)` Match the given request against some expectations.

### Method Detail

#### match

    void match(ClientHttpRequest request)
               throws IOException,
                      AssertionError

Match the given request against some expectations.

Parameters:
  `request` - the request to make assertions on
Throws:
  `IOException` - in case of I/O errors
  `AssertionError` - if expectations are not met